SystemOrganization addCategory: #'JQWidgetBox-WeekCalendar-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-WeekCalendar-Dev-Example'!

JQWidgetExample subclass: #JQWeekCalendarExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-WeekCalendar-Dev-Example'!

!JQWeekCalendarExample classSide methodsFor: 'accessing' stamp: 'tbn 11/3/2009 19:44'!
description
	^ 'JQuery WeekCalendar'! !

!JQWeekCalendarExample classSide methodsFor: 'accessing' stamp: 'tbn 11/3/2009 19:45'!
shortName
	^'weekcalendar'! !

!JQWeekCalendarExample methodsFor: 'rendering' stamp: 'tbn 11/3/2009 19:45'!
renderContentOn: html
	|id|
	id := html nextId.	
	html div
		id: id.		
	html script: ((html jQuery id: id) weekCalendar 
			 firstDayOfWeek: 1)
 ! !

!JQWeekCalendarExample methodsFor: 'updating' stamp: 'tbn 11/3/2009 19:45'!
updateRoot: aHtmlRoot
	super updateRoot: aHtmlRoot.	 
	aHtmlRoot stylesheet url: self library / #jqueryweekcalendarCss! !

JQWidgetBoxWidgetTest subclass: #JQWeekCalendarTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-WeekCalendar-Dev-Tests'!

!JQWeekCalendarTest methodsFor: 'accessing' stamp: 'tbn 11/3/2009 19:40'!
testActions
	self
		assert: ((self jQuery: 'weekcalendar') weekCalendar)
		equals: self function, '("weekcalendar").weekCalendar()'.

	self
		assert: ((self jQuery: 'weekcalendar') weekCalendar firstDayOfWeek: 1)
		equals: self function, '("weekcalendar").weekCalendar({firstDayOfWeek:1})'.		! !
